Use this REST API call to send a request to import user information.
POST request URL
https://<epo_server_name:port>/rest/dlp/userInfo/import
Where, epo_server_name:port is the server IP address and port number.
Request Parameters
Form Parameters (multipart/form-data)
Parameter name | Description | Required | Values |
|---|---|---|---|
Authorization | User credentials for ePO - On-prem. | Required |
Parameter name | Description | Required | Values |
|---|---|---|---|
importFile | CSV file containing records to be imported. | Required | File |
Sample POST request URL
https://172.27.108.53:8443/rest/dlp/userInfo/import
Sample cURL command
curl -k -v -X POST 'https://172.27.108.53:8443/rest/dlp/userInfo/import' -u '<user>:<password>' -F 'importFile=@"/path/to/file/fileName.csv"'
Sample request (multipart/form-data)
{
"importFile": the CSV file
}Sample response
User Info imported successfully
Status and error codes
List of HTTP status codes returned for the query.
Code | Description |
|---|---|
200 OK | The response returns a string. |
400 Bad Request | None |
404 Not Found | Incorrect ePO - On-prem URL. |
500 Internal Server Error | Returns an internal server error if:
|